import { OnDestroy, OnInit } from '@angular/core';
import { TransactionTypeCategory } from '../../../enum/transaction-type-category.enum';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare abstract class TransactionInvoiceLineBaseComponent extends TransactionLineBaseComponent implements OnInit, OnDestroy {
    readonly category: typeof TransactionTypeCategory;
    private _subscriptions;
    private _initialized;
    showCheckbox: boolean;
    checkboxReadonly: boolean;
    localAmountSelected: number;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected transactionLineSet(): void;
    handleSelectCheckboxClick(checked: boolean): Promise<void>;
    updateSelectedQuantity(amount: number): Promise<void>;
    private _checkCheckbox;
    private _checkAmounts;
}
